4Suite™ API Documentation

# ► Module Ft.Server.Server.Http.TransferLog

Functions: MakeFormatString |  |  |  | Fields: COMBINED_LOG_FORMAT, COMMON_LOG_FORMAT, formatPatt, formatReplaces

## Functions

MakeFormatString(logFormat)

## Fields

COMBINED_LOG_FORMAT = '%h %l %u %t "%r" %s %b "%{Referer}i" "%{User-agent}i"'
COMMON_LOG_FORMAT = '%h %l %u %t "%r" %s %b'
formatPatt = <_sre.SRE_Pattern object>
Compiled regular expression objects
formatReplaces = {'P': 'pid', 'U': 'url', 'a': 'remote-ip', 'b': 'bytes-sent', 'f': 'filename', 'h': 'remote-host', 'l': 'remote-user', 'p': 'server-port', 'r': 'request-line', 's': 'status', ...}